Bug 1051263 - test_haproxy_gears_stay_disabled is failing
Summary: test_haproxy_gears_stay_disabled is failing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Rajat Chopra
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 23:08 UTC by Ben Parees
Modified: 2015-05-14 23:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 00:55:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ben Parees 2014-01-09 23:08:27 UTC
Description of problem:
test case is failing

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. ruby -I"lib:test" /root/openshift-test/node/test/cart_functional/multi_ha_func_test.rb -n test_haproxy_gears_stay_disabled_for_restarts

Actual results:
1) Failure:
test_haproxy_gears_stay_disabled_for_restarts(MultiHaFuncTest) [/root/openshift-test/node/test/cart_functional/multi_ha_func_test.rb:96]:
Target gear local-gear did not have expected status MAINT

Expected results:
test should pass

Additional info:
began failing after this PR was merged:
https://github.com/openshift/origin-server/pull/4207

Comment 1 Rajat Chopra 2014-01-10 05:30:36 UTC
Fixed with rev#07d399d56ef7e5ca38c95362a6a93b6ff9fb7c58

Comment 2 Meng Bo 2014-01-13 07:42:57 UTC
Checked on devenv_4124, the test passed.

Comment 3 Meng Bo 2014-01-13 07:46:06 UTC
aha, build should be devenv_4214.ec2


Note You need to log in before you can comment on or make changes to this bug.